# All files / src/generators projection.js

100% Statements 2/2
100% Branches 2/2
100% Functions 2/2
100% Lines 2/2

Press n or j to go to the next uncovered block, b, p or k for the previous block.

    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13

    38x

    38x

     // @flow

    import type { ProjectionNodeType, GeneratedCodeType, NodeType } from '../types'

    export default (
      Generator: NodeType => GeneratedCodeType
    ): (ProjectionNodeType => GeneratedCodeType) => ({
      value
    }: ProjectionNodeType): GeneratedCodeType =>
      `_.projection(${Generator(value.left)}, ${Generator(value.right)}, ${
        value.optional ? 'true' : 'false'
      })`